Delete Semantic CWT credential metadata
Roles
/v2/credentials/compact-semantic/{id}Deletes all credential metadata from the tenant for a specific credential by providing its ID. If the credential was set to be revocable, it will be permanently revoked upon metadata deletion.
Note that only metadata of revocable credentials or credentials issued via the OpenID4VCI flow is saved.
Authorization
bearerAuth In: header
Path Parameters
Credential ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve Semantic CWT credential revocation list GET
Returns a Semantic CWT credential revocation list by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_START * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_FAIL
Set credential revocation status POST
Sets the revocation status of the credential that matches the provided ID as `true` (revoked) or `false` (unrevoked). ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_FAIL